Name:           mariadb-connector-c
Version:        2.3.2
Release:        2%{?dist}
Summary:        The MariaDB Native Client library (C driver)
Group:          Applications/Databases
License:        LGPLv2+
Source:         http://mirror.hosting90.cz/mariadb/connector-c-%{version}/mariadb-connector-c-%{version}-src.tar.gz
Url:            http://mariadb.org/
BuildRequires:  zlib-devel cmake openssl-devel

# Patch only for version 2.3.2. The issue on Big endian architectures has been solved by upstream and fixed in all later relases.
Patch1:         v2-3-2.patch

%description
The MariaDB Native Client library (C driver) is used to connect applications
developed in C/C++ to MariaDB and MySQL databases.

%package devel
Summary:        Development files for mariadb-connector-c.
Group:          Development/Libraries
BuildRequires:  xmlto
Requires: %{name} = %{version}-%{release}

%description devel
Development files for mariadb-connector-c.



%prep
%setup -q -n mariadb-connector-c-%{version}-src
%patch1 -p1

%build
%cmake \
    .\
    -DMYSQL_UNIX_ADDR=/var/lib/mysql/mysql.sock\
    -DWITH_EXTERNAL_ZLIB=ON\
    -DPREFIX_INSTALL_DIR="/"\
    -DCMAKE_SYSTEM_PROCESSOR="%{_arch}"\
    -DPLUGIN_INSTALL_DIR="%{_libdir}/mariadb/plugin"

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p %{buildroot}/%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/mariadb" > %{buildroot}/%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

rm /$RPM_BUILD_ROOT%{_libdir}/mariadb/libmariadbclient.a        # static linked libraries
rm /$RPM_BUILD_ROOT%{_libdir}/mariadb/libmysqlclient.a
rm /$RPM_BUILD_ROOT%{_libdir}/mariadb/libmysqlclient_r.a
#
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/Makefile.am           # Makefile.am is a programmer-defined file and is used by automake to generate the Makefile.in
rm -r /$RPM_BUILD_ROOT%{_includedir}/mariadb/CMakeFiles
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/mysql_version.h.in    # *.in files are produced while creating final *.h files
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/Makefile
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/CMakeLists.txt
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/my_config.h.in
rm /$RPM_BUILD_ROOT%{_includedir}/mariadb/cmake_install.cmake

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig



%files
%{_libdir}/mariadb
%{_libdir}/mariadb/libmariadb.so.2

%{_libdir}/mariadb/plugin
%{_libdir}/mariadb/plugin/dialog.so
%{_libdir}/mariadb/plugin/mysql_clear_password.so
# fix of RPATH. If there is a set config file, libdir/mariadb/ is added to search for libraries
%config(noreplace) %{_sysconfdir}/ld.so.conf.d

%doc README
%license COPYING.LIB



%files devel
# program which provides info for compiling programs with this library
%{_bindir}/mariadb_config
# symlinks to the .so lib
%{_libdir}/mariadb/libmariadb.so
%{_libdir}/mariadb/libmysqlclient_r.so
%{_libdir}/mariadb/libmysqlclient.so
# header files
%{_includedir}/mariadb

%license COPYING.LIB

%changelog
* Tue Feb 07 2017 Michal Schorm <mschorm@redhat.com> - 2.3.2-2
- Fix based on output from RPMLint in previous version

* Tue Jan 24 2017 Michal Schorm <mschorm@redhat.com> - 2.3.2-1
- Rebase to version 2.3.2, patch needed (fixed by upstream in later versions)
- Plugin dir moved from /libdir/plugin to /libdir/mariadb/plugin

* Thu Oct 27 2016 Michal Schorm <mschorm@redhat.com> - 2.3.1-3
- Fixed ownership of {_libdir}/mariadb (this dir must me owned by package)
- Fixed ownership of {_sysconfigdir}/ld.so.conf.d (this dir must me owned by package)
- Fixed redundnace on lines with {_sysconfigdir}/ld.so.conf.d
- Fixed ownership of {_bindir} (only one program is owned, so let's be accurate)
- Some comments added, for me and future maintainers

* Mon Oct 17 2016 Michal Schorm <mschorm@redhat.com> - 2.3.1-2
- Fixed ownership of {_libdir}/mariadb directory and cosmetic specfile changes

* Tue Sep 13 2016 Michal Schorm <mschorm@redhat.com> - 2.3.1-1
- Rebase to version 2.3.1

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jul 23 2015 Matej Mužila <mmuzila@redhat.com> - 2.1.0-1
- Rebase to version 2.1.0

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Sep 24 2014 Matej Mužila <mmuzila@redhat.com> - 2.0.0-2
- Fixed html IDs in documentation

* Tue Aug 26 2014 Matej Mužila <mmuzila@redhat.com> - 2.0.0-2
- Initial version for 2.0.0
